import { Context, PublicKey, WrappedInstruction } from '@metaplex-foundation/umi';
import { CreateMintArgs } from './createMint';
export type CreateMintWithSingleTokenArgs = CreateMintArgs & {
    owner: PublicKey;
};
export declare function createMintWithSingleToken(context: Pick<Context, 'serializer' | 'programs' | 'identity' | 'payer' | 'eddsa'>, input: CreateMintWithSingleTokenArgs): WrappedInstruction[];
